Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.reports.collector
Class AbstractTimePeriodCollector

    java.lang.Object
      com.atlassian.bamboo.reports.collector.AbstractTimePeriodCollector

All Implemented Interfaces:
  ReportCollector

Direct Known Subclasses:
  AverageDurationCollector, CloverCoverageCollector, CloverLinesOfCodeCollector, NumberOfBuildFailureCollector, NumberOfBuildsCollector, NumberOfTestsCollector, RatioOfSuccessCollector, TimeToFixCollector

    public abstract class AbstractTimePeriodCollector

extends Object
implements ReportCollector

Constructor Summary
`protected` | `AbstractTimePeriodCollector()`

Method Summary
`protected TimePeriodCollater` | `createCollater(RegularTimePeriod nextPeriod, String key)`
`protected String` | `getAutoDate(Date startDate, Date lastDate)`
`protected abstract TimePeriodCollater` | `getCollater()`
`Dataset` | `getDataset()`
`Map` | `getParams()`
`protected RegularTimePeriod` | `getPeriod(Date date, String periodRange)`
`String` | `getPeriodRange()`
`List` | `getResultsList()`
`protected boolean` | `isInPeriod(RegularTimePeriod time, Date date)`
`void` | `setParams(Map params)`
`void` | `setResultsList(List resultsList)`
`protected void` | `writeCollaterToDataSet(TimeTableXYDataset dataset, TimePeriodCollater collater)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTimePeriodCollector

    protected AbstractTimePeriodCollector()

Method Detail

### getDataset

    public Dataset getDataset()

  Specified by:
    `getDataset` in interface `ReportCollector`

### getPeriodRange

    public String getPeriodRange()

  Specified by:
    `getPeriodRange` in interface `ReportCollector`

### getAutoDate

    protected String getAutoDate(Date startDate,
                                 Date lastDate)

### getPeriod

    protected RegularTimePeriod getPeriod(Date date,
                                          String periodRange)

### isInPeriod

    protected boolean isInPeriod(RegularTimePeriod time,
                                 Date date)

### writeCollaterToDataSet

    protected void writeCollaterToDataSet(TimeTableXYDataset dataset,
                                          TimePeriodCollater collater)

### createCollater

    protected TimePeriodCollater createCollater(RegularTimePeriod nextPeriod,
                                                String key)

### getCollater

    protected abstract TimePeriodCollater getCollater()

### getResultsList

    public List getResultsList()

### setResultsList

    public void setResultsList(List resultsList)

  Specified by:
    `setResultsList` in interface `ReportCollector`

### getParams

    public Map getParams()

### setParams

    public void setParams(Map params)

  Specified by:
    `setParams` in interface `ReportCollector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.